Tool: update_data_asset
Initiates the update of a Data Asset.
- The tool returns a long-running operation. Use the
get_operationtool to poll its status until the operation completes. - In case access group configs are provided, the access group name provided is the key and the role provided is the value.
- The data asset update operation can take several minutes. Wait at least 5 seconds before rechecking the status.
- After you use the
update_data_assettool, use theget_data_assettool to retrieve the current values of the data asset fields.
The following sample demonstrate how to use curl to invoke the update_data_asset MCP tool.
| Curl Request |
|---|
curl --location 'https://dataplex.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "update_data_asset", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for updating a data asset.
UpdateDataAssetRequest
| JSON representation |
|---|
{
"projectId": string,
"location": string,
"dataProductId": string,
"dataAssetId": string,
"accessGroupConfigs": [
{
object ( |
| Fields | |
|---|---|
projectId |
Required. The project ID of the data asset to update. |
location |
Required. The location of the data asset to update. |
dataProductId |
Required. The ID of the data product this data asset belongs to. |
dataAssetId |
Required. The ID of the data asset to update. The ID must conform to RFC-1034 and contain only lower-case letters (a-z), numbers (0-9), or hyphens, with the first character a letter, the last a letter or a number, and a 63 character maximum. Characters outside of ASCII are not permitted. Valid format regex: |
accessGroupConfigs[] |
Optional. Access groups roles configurations for this data asset. Currently, at most one IAM role is allowed per access group. For providing multiple predefined IAM roles, wrap them in a custom IAM role as per https://cloud.google.com/iam/docs/creating-custom-roles. |
labels |
Optional. Labels for the data asset. Key/value pairs that can be attached to the data asset. An object containing a list of |
updateMask |
Optional. Specifies the list of fields to update. If empty, all fields will be updated. Specifies which fields of the data product to update. For example, to update only the This is a comma-separated list of fully qualified names of fields. Example: |
AccessGroupConfig
| JSON representation |
|---|
{ "accessGroupId": string, "role": string } |
| Fields | |
|---|---|
accessGroupId |
Required. The ID of the access group (matching the ID in the parent data product). |
role |
Required. The IAM role granted to this access group for this data asset (e.g. "roles/bigquery.dataViewer"). |
LabelsEntry
| JSON representation |
|---|
{ "key": string, "value": string } |
| Fields | |
|---|---|
key |
|
value |
|
FieldMask
| JSON representation |
|---|
{ "paths": [ string ] } |
| Fields | |
|---|---|
paths[] |
The set of field mask paths. |
Output Schema
This resource represents a long-running operation that is the result of a network API call.
Operation
| JSON representation |
|---|
{ "name": string, "metadata": { "@type": string, field1: ..., ... }, "done": boolean, // Union field |
| Fields | |
|---|---|
name |
The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the |
metadata |
Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any. An object containing fields of an arbitrary type. An additional field |
done |
If the value is |
Union field result. The operation result, which can be either an error or a valid response. If done == false, neither error nor response is set. If done == true, exactly one of error or response can be set. Some services might not provide the result. result can be only one of the following: |
|
error |
The error result of the operation in case of failure or cancellation. |
response |
The normal, successful response of the operation. If the original method returns no data on success, such as An object containing fields of an arbitrary type. An additional field |
Any
| JSON representation |
|---|
{ "typeUrl": string, "value": string } |
| Fields | |
|---|---|
typeUrl |
Identifies the type of the serialized Protobuf message with a URI reference consisting of a prefix ending in a slash and the fully-qualified type name. Example: type.googleapis.com/google.protobuf.StringValue This string must contain at least one The prefix is arbitrary and Protobuf implementations are expected to simply strip off everything up to and including the last All type URL strings must be legal URI references with the additional restriction (for the text format) that the content of the reference must consist only of alphanumeric characters, percent-encoded escapes, and characters in the following set (not including the outer backticks): In the original design of |
value |
Holds a Protobuf serialization of the type described by type_url. A base64-encoded string. |
Status
| JSON representation |
|---|
{ "code": integer, "message": string, "details": [ { "@type": string, field1: ..., ... } ] } |
| Fields | |
|---|---|
code |
The status code, which should be an enum value of |
message |
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the |
details[] |
A list of messages that carry the error details. There is a common set of message types for APIs to use. An object containing fields of an arbitrary type. An additional field |
Tool Annotations
Destructive Hint: ✅ | Idempotent Hint: ❌ | Read Only Hint: ❌ | Open World Hint: ❌